ruby-ethon_0.9.0-2_all.deb


Advertisement

Description

ruby-ethon - libcurl wrapper using ffi

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-ethon
Package version 0.9.0
Package release 2
Package architecture all
Package type deb
Installed size 172 B
Download size 32.83 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-ethon_0.9.0-2_all.deb 0.9.0 all Debian Main
ruby-ethon - - -

Requires

Name Value
libcurl4 -
ruby -
ruby-ffi -
ruby-interpreter -
ruby-mime-types >= 1.18

Download

Type URL
Binary Package ruby-ethon_0.9.0-2_all.deb
Source Package ruby-ethon

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-ethon deb package:
    # sudo apt-get install ruby-ethon

Files

Path
/usr/lib/ruby/vendor_ruby/ethon.rb
/usr/lib/ruby/vendor_ruby/ethon/curl.rb
/usr/lib/ruby/vendor_ruby/ethon/easy.rb
/usr/lib/ruby/vendor_ruby/ethon/errors.rb
/usr/lib/ruby/vendor_ruby/ethon/libc.rb
/usr/lib/ruby/vendor_ruby/ethon/loggable.rb
/usr/lib/ruby/vendor_ruby/ethon/multi.rb
/usr/lib/ruby/vendor_ruby/ethon/version.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/classes.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/codes.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/constants.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/form_options.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/functions.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/infos.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/messages.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/options.rb
/usr/lib/ruby/vendor_ruby/ethon/curls/settings.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/callbacks.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/debug_info.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/features.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/form.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/header.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/informations.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/mirror.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/operations.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/options.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/params.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/queryable.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/response_callbacks.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/util.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/actionable.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/custom.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/delete.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/get.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/head.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/options.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/patch.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/post.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/postable.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/put.rb
/usr/lib/ruby/vendor_ruby/ethon/easy/http/putable.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/ethon_error.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/global_init.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/invalid_option.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/invalid_value.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/multi_add.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/multi_fdset.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/multi_remove.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/multi_timeout.rb
/usr/lib/ruby/vendor_ruby/ethon/errors/select.rb
/usr/lib/ruby/vendor_ruby/ethon/multi/operations.rb
/usr/lib/ruby/vendor_ruby/ethon/multi/options.rb
/usr/lib/ruby/vendor_ruby/ethon/multi/stack.rb
/usr/share/doc/ruby-ethon/README.md
/usr/share/doc/ruby-ethon/changelog.Debian.gz
/usr/share/doc/ruby-ethon/changelog.gz
/usr/share/doc/ruby-ethon/copyright
/usr/share/rubygems-integration/all/specifications/ethon-0.9.0.gemspec

Changelog

2018-06-14 - Sruthi Chandran <srud@disroot.org>
ruby-ethon (0.9.0-2) unstable; urgency=medium
* Team upload.
* Bump dependency from libcurl3 to libcurl4 for the openssl1.1 transition.
Note that this changes the ABI with respect to SSL_CTX objects;
consumers of ruby-ethon must now switch to using OpenSSL 1.1 objects
instead of OpenSSL 1.0 if they use curl_easy_setopt(SSL_CTX_FUNCTION). 
(Thanks to Steve Langasek for the note) (Closes: #900297)    
2016-07-09 - Pirate Praveen <praveen@debian.org>
ruby-ethon (0.9.0-1) unstable; urgency=medium
* New upstream release 
2016-03-21 - Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>
ruby-ethon (0.8.1-1) unstable; urgency=medium
* Team upload.
* New upstream release 
* Add tests back on package build.
- Tests required rspec 3, but this version is now present in unstable
2015-10-30 - Pirate Praveen <praveen@debian.org>
ruby-ethon (0.8.0-1) unstable; urgency=medium
* New upstream release
2015-08-29 - Pirate Praveen <praveen@debian.org>
ruby-ethon (0.7.4-1) unstable; urgency=medium
* New upstream release
2015-04-28 - Pirate Praveen <praveen@debian.org>
ruby-ethon (0.7.1-2) unstable; urgency=medium
* Re-upload to unstable. 
2014-11-21 - Pirate Praveen <praveen@debian.org>
ruby-ethon (0.7.1-1) experimental; urgency=medium
* New upstream release.
* Bump standards version to 3.9.6 (no changes).
2014-04-13 - Pirate Praveen <praveen@debian.org>
ruby-ethon (0.7.0-1) unstable; urgency=low
* New upstream release.
* Bump standards version to 3.9.5 (no changes)
* Bump gem2deb build dep to >= 0.7.5 (ruby 2.x)
* Remove already applied patches.
* Tighten ruby-ffi build dep (for ruby 2.1)
2013-05-16 - Praveen Arimbrathodiyil <praveen@debian.org>
ruby-ethon (0.5.12-1) unstable; urgency=low
* Initial release (Closes: #693256)

See Also

Package Description
ruby-eventmachine_1.0.7-4.2_amd64.deb Ruby/EventMachine library
ruby-exception-notification_4.0.1-1_all.deb exception notification support for Rails and Rack apps
ruby-excon_0.60.0-1_all.deb Ruby library for creating fast, persistent, HTTP(S) connections
ruby-execjs_2.6.0-1_all.deb Run JavaScript code from Ruby
ruby-exif_0.1.2-21+b9_amd64.deb Ruby library for EXIF tag parsing
ruby-expression-parser-doc_0.9.1-4_all.deb mathematical expression parser for Ruby (documentation)
ruby-expression-parser_0.9.1-4_all.deb mathematical expression parser for Ruby
ruby-extendmatrix_0.3.1-3_all.deb Enhancements to the Ruby Matrix module
ruby-extlib_0.9.16-1_all.deb general Ruby class extensions for DataMapper and Merb
ruby-eye_0.7-5_all.deb process monitoring tool
ruby-facade_1.0.7-1_all.deb facade pattern aide for Ruby
ruby-facebox-rails_0.2.0-2_all.deb use Facebox with Rails applications
ruby-facets-doc_2.9.3-2_all.deb extensive additions and extensions library for Ruby -- API documentation
ruby-facets_2.9.3-2_all.deb extensive additions and extensions library for Ruby
ruby-factory-bot_4.11.1-1_all.deb Framework and DSL for defining and using model instance factories
Advertisement
Advertisement